
From: NeilBrown <neilb@cse.unsw.edu.au>



---

 fs/nfsd/nfs4state.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/nfsd/nfs4state.c~knfsd-shareowner-fix fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~knfsd-shareowner-fix	2004-02-25 02:32:09.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2004-02-25 02:32:09.000000000 -0800
@@ -1120,6 +1120,9 @@ nfsd4_process_open2(struct svc_rqst *rqs
 				stp = stq;
 				continue;
 			}
+			/* ignore lock owners */
+			if (stq->st_stateowner->so_is_open_owner == 0)
+				continue;
 			if (!test_share(stq,open))	
 				goto out;
 		}

_
